---
updatedAt: 2026-05-27T00:16:27.000Z
agentTools:
  projectIndex: https://360learning.readme.io/llms.txt
---

# List all users

> 🔑
>
> Required OAuth scope: `users:read`.

> 📖
>
> This endpoint is paginated with a page size of 500 users. For more information, see the [Pagination guide](doc:pagination).

Lists all users in your platform.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/users": {
      "get": {
        "description": "> 🔑\n>\n> Required OAuth scope: `users:read`.\n\n> 📖\n>\n> This endpoint is paginated with a page size of 500 users. For more information, see the [Pagination guide](doc:pagination).\n\nLists all users in your platform.",
        "operationId": "v2.users.GetUsersController_getUsers",
        "parameters": [
          {
            "name": "360-api-version",
            "in": "header",
            "description": "The version of the API.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "v2.0"
              ]
            }
          },
          {
            "name": "mail",
            "required": false,
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "description": "Filter on **mail** property with LHS bracket notation.\n\nExpected value format is a string.",
            "schema": {
              "properties": {
                "eq": {
                  "type": "string",
                  "description": "Filter on values equal to the given one",
                  "example": "loremIpsum"
                },
                "ne": {
                  "type": "string",
                  "description": "Filter on values not equal to the given one",
                  "example": "loremIpsum"
                },
                "in": {
                  "type": "array",
                  "description": "Filter on values including the given ones",
                  "items": {
                    "type": "string",
                    "example": "loremIpsum"
                  }
                },
                "nin": {
                  "type": "array",
                  "description": "Filter on values excluding the given ones",
                  "items": {
                    "type": "string",
                    "example": "loremIpsum"
                  }
                }
              }
            }
          },
          {
            "name": "username",
            "required": false,
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "description": "Filter on **username** property with LHS bracket notation.\n\nExpected value format is a string.",
            "schema": {
              "properties": {
                "eq": {
                  "type": "string",
                  "description": "Filter on values equal to the given one",
                  "example": "loremIpsum"
                },
                "ne": {
                  "type": "string",
                  "description": "Filter on values not equal to the given one",
                  "example": "loremIpsum"
                },
                "in": {
                  "type": "array",
                  "description": "Filter on values including the given ones",
                  "items": {
                    "type": "string",
                    "example": "loremIpsum"
                  }
                },
                "nin": {
                  "type": "array",
                  "description": "Filter on values excluding the given ones",
                  "items": {
                    "type": "string",
                    "example": "loremIpsum"
                  }
                }
              }
            }
          },
          {
            "name": "status",
            "required": false,
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "description": "Filter on **status** property with LHS bracket notation.\n\nExpected value format is a string (`active`, `invited`, `deleted`).",
            "schema": {
              "properties": {
                "eq": {
                  "type": "string",
                  "description": "Filter on values equal to the given one",
                  "example": "active",
                  "enum": [
                    "active",
                    "invited",
                    "deleted"
                  ]
                },
                "ne": {
                  "type": "string",
                  "description": "Filter on values not equal to the given one",
                  "example": "active",
                  "enum": [
                    "active",
                    "invited",
                    "deleted"
                  ]
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returns one page of 500 users.",
            "headers": {
              "Link": {
                "schema": {
                  "type": "string"
                },
                "description": "URL (between `<` `>`) to fetch the immediate next page of results. For more information, see our [Pagination guide](doc:pagination).\n\n⚠️ Only included if there is another page of results.",
                "example": "<my/resource/url>; rel=\"next\""
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/UserDTO"
                  }
                }
              }
            }
          },
          "401": {
            "description": "The given access token is either missing, invalid, has expired, or has been revoked.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "invalid_token"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "The given access token does not have the required OAuth scope to execute the request.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Invalid Scope",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "invalid_scope"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "The client has sent too many requests in a short amount of time. ",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "tooManyRequests"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "summary": "List all users",
        "tags": [
          "Users"
        ]
      }
    }
  },
  "info": {
    "title": "Core API",
    "description": "",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://app.360learning.com",
      "description": "Production EU"
    },
    {
      "url": "https://app.us.360learning.com",
      "description": "Production US"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/v2/oauth2/token",
            "scopes": {}
          }
        },
        "description": "Use the token from the authentication endpoint in the Authorization header.\n\nExample: `Authorization: Bearer <token>`"
      }
    },
    "schemas": {
      "UserDTO": {
        "title": "User",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the user.",
            "format": "ObjectId",
            "example": "507f1f77bcf86cd799439011",
            "pattern": "^[a-fA-F0-9]{24}$"
          },
          "mail": {
            "type": "string",
            "description": "The email address of the user.",
            "example": "john.smith@yopmail.com",
            "minLength": 1
          },
          "username": {
            "type": "string",
            "description": "The username that can be used to log in if the company allows it.",
            "example": "johnsmith",
            "minLength": 1
          },
          "status": {
            "type": "string",
            "enum": [
              "active",
              "invited",
              "deleted"
            ],
            "description": "The status of the user."
          },
          "lang": {
            "type": "string",
            "enum": [
              "bg",
              "cs",
              "da",
              "de",
              "el",
              "en",
              "es",
              "fi",
              "fr",
              "hr",
              "ht_HT",
              "hu",
              "id",
              "it",
              "ja",
              "kar_MM",
              "ko",
              "lt",
              "mh_MH",
              "nl",
              "nl_BE",
              "no",
              "pl",
              "pt",
              "ro",
              "ru",
              "rw_RW",
              "sk",
              "sl",
              "so_SO",
              "sv",
              "sw_KE",
              "th",
              "ti_ET",
              "tr",
              "uk",
              "zh",
              "vi"
            ],
            "description": "The default language of the user, in a bigram format (en, fr, de, etc.)."
          },
          "firstName": {
            "type": "string",
            "description": "The first name of the user.",
            "example": "John",
            "minLength": 1
          },
          "lastName": {
            "type": "string",
            "description": "The last name of the user.",
            "example": "Smith",
            "minLength": 1
          },
          "job": {
            "type": "string",
            "description": "The role title of the user.",
            "example": "Engineer",
            "minLength": 1
          },
          "organization": {
            "type": "string",
            "description": "The organization that the user belongs to.",
            "example": "360Learning",
            "minLength": 1
          },
          "phone": {
            "type": "string",
            "description": "The phone number of the user.",
            "example": "+33123456789",
            "minLength": 1
          },
          "custom": {
            "type": "string",
            "description": "The value of the **Additional information** field in the user’s profile. This is not the value of the custom fields associated with the user.",
            "example": "Half-time worker",
            "minLength": 1
          },
          "deletedAt": {
            "description": "The list of dates and times when the user’s profile was soft deleted, in the `YYYY-MM-DDThh:mm:ss.sssZ` format (ISO 8601 in Coordinated Universal Time (UTC)).",
            "type": "array",
            "items": {
              "format": "date-time",
              "type": "string"
            }
          },
          "primaryGroupId": {
            "type": "string",
            "description": "The unique ID of the primary group of the user.",
            "format": "ObjectId",
            "example": "507f1f77bcf86cd799439011",
            "pattern": "^[a-fA-F0-9]{24}$"
          },
          "reactivatedAt": {
            "description": "The list of dates and times when the user’s profile was reactivated, in the `YYYY-MM-DDThh:mm:ss.sssZ` format (ISO 8601 in Coordinated Universal Time (UTC)).",
            "type": "array",
            "items": {
              "format": "date-time",
              "type": "string"
            }
          },
          "lastLoginDate": {
            "format": "date-time",
            "type": "string",
            "description": "The date and time when the user last logged in, in the `YYYY-MM-DDThh:mm:ss.sssZ` format (ISO 8601 in Coordinated Universal Time (UTC))."
          },
          "toBeDeactivatedAt": {
            "format": "date-time",
            "type": "string",
            "description": "The date and time when the user will be deactivated, in the `YYYY-MM-DDThh:mm:ss.sssZ` format (ISO 8601 in Coordinated Universal Time (UTC))."
          },
          "profileImageId": {
            "type": "string",
            "description": "The unique ID of the profile image of the user.",
            "format": "ObjectId",
            "example": "507f1f77bcf86cd799439011",
            "pattern": "^[a-fA-F0-9]{24}$"
          }
        },
        "required": [
          "_id",
          "status",
          "lang"
        ]
      }
    }
  },
  "x-readme": {
    "apply-tag-changes": true
  }
}
```